<?php

namespace common\models;

use Yii;

/**
 * This is the model class for table "commande_produit".
 *
 * @property integer $id
 * @property integer $id_commande
 * @property integer $id_produit
 * @property double $quantite
 */
class CommandeProduit extends \yii\db\ActiveRecord
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return 'commande_produit';
    }
    
    /*
     * Relations
     */
    
    public function getProduit() {
    	return $this->hasOne(Produit::className(), ['id'=>'id_produit']) ;
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['id_commande', 'id_produit', 'quantite'], 'required'],
            [['id_commande', 'id_produit'], 'integer'],
            [['quantite'], 'number']
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'id_commande' => 'Id Commande',
            'id_produit' => 'Id Produit',
            'quantite' => 'Quantite',
        ];
    }
}
