<?php

use yii\db\Schema;
use yii\db\Migration;

class m150408_140526_add_champs_divers extends Migration
{
    public function up()
    {

    	// user de confiance ou non
    	$this->addColumn('user', 'confiance', Schema::TYPE_BOOLEAN) ;
    	
    	// points de vente
    	$this->addColumn('point_vente', 'horaires_lundi', Schema::TYPE_TEXT) ;
    	$this->addColumn('point_vente', 'horaires_mardi', Schema::TYPE_TEXT) ;
    	$this->addColumn('point_vente', 'horaires_mercredi', Schema::TYPE_TEXT) ;
    	$this->addColumn('point_vente', 'horaires_jeudi', Schema::TYPE_TEXT) ;
    	$this->addColumn('point_vente', 'horaires_vendredi', Schema::TYPE_TEXT) ;
    	$this->addColumn('point_vente', 'horaires_samedi', Schema::TYPE_TEXT) ;
    	$this->addColumn('point_vente', 'horaires_dimanche', Schema::TYPE_TEXT) ;
    	$this->addColumn('point_vente', 'localite', Schema::TYPE_STRING) ;
    	$this->addColumn('point_vente', 'point_fabrication', Schema::TYPE_BOOLEAN) ;
    	
    	// production
    	$this->addColumn('production', 'livraison', Schema::TYPE_BOOLEAN) ;
    	
    	// table production_produit
    	$this->createTable('production_produit', [
    		'id' => 'pk',
    		'id_production' => Schema::TYPE_INTEGER,
    		'id_produit' => Schema::TYPE_INTEGER,
    		'actif' => Schema::TYPE_BOOLEAN
    	]) ; 
    	
    	// produit
    	$this->addColumn('produit', 'lundi', Schema::TYPE_BOOLEAN) ;
    	$this->addColumn('produit', 'mardi', Schema::TYPE_BOOLEAN) ;
    	$this->addColumn('produit', 'mercredi', Schema::TYPE_BOOLEAN) ;
    	$this->addColumn('produit', 'jeudi', Schema::TYPE_BOOLEAN) ;
    	$this->addColumn('produit', 'vendredi', Schema::TYPE_BOOLEAN) ;
    	$this->addColumn('produit', 'samedi', Schema::TYPE_BOOLEAN) ;
    	$this->addColumn('produit', 'dimanche', Schema::TYPE_BOOLEAN) ;
    	$this->addColumn('produit', 'order', Schema::TYPE_INTEGER) ;
    	
    	
    }

    public function down()
    {
       
    	// user de confiance ou non
    	$this->dropColumn('user', 'confiance') ;
    	
    	// points de vente
    	$this->dropColumn('point_vente', 'horaires_lundi') ;
    	$this->dropColumn('point_vente', 'horaires_mardi') ;
    	$this->dropColumn('point_vente', 'horaires_mercredi') ;
    	$this->dropColumn('point_vente', 'horaires_jeudi') ;
    	$this->dropColumn('point_vente', 'horaires_vendredi') ;
    	$this->dropColumn('point_vente', 'horaires_samedi') ;
    	$this->dropColumn('point_vente', 'horaires_dimanche') ;
    	$this->dropColumn('point_vente', 'localite') ;
    	$this->dropColumn('point_vente', 'point_fabrication') ;
    	
    	// production
    	$this->dropColumn('production', 'livraison') ;
    	 
    	// table production_produit
    	$this->dropTable('production_produit');
    	
    	// produit
    	$this->dropColumn('produit', 'lundi') ;
    	$this->dropColumn('produit', 'mardi') ;
    	$this->dropColumn('produit', 'mercredi') ;
    	$this->dropColumn('produit', 'jeudi') ;
    	$this->dropColumn('produit', 'vendredi') ;
    	$this->dropColumn('produit', 'samedi') ;
    	$this->dropColumn('produit', 'dimanche') ;
    	$this->dropColumn('produit', 'order') ;
    }
    
    /*
    // Use safeUp/safeDown to run migration code within a transaction
    public function safeUp()
    {
    }
    
    public function safeDown()
    {
    }
    */
}
