<?php
/**
 * @link http://www.yiiframework.com/
 * @copyright Copyright (c) 2008 Yii Software LLC
 * @license http://www.yiiframework.com/license/
 */

namespace frontend\assets;

use yii\web\AssetBundle;

/**
 * @author Qiang Xue <qiang.xue@gmail.com>
 * @since 2.0
 */

class AppAsset extends AssetBundle
{
    public $basePath = '@webroot';
    public $baseUrl = '@web';
    public $css = [
    	'bootstrap/css/bootstrap.min.css',
    	'bootstrap/css/bootstrap-theme.min.css',
    	'js/bjqs/bjqs.css',
    	'js/jquery-ui-1.11.4.custom/jquery-ui.min.css',
    	'js/jquery-ui-1.11.4.custom/jquery-ui.theme.css',
    	'js/lightbox/css/lightbox.css',
        'css/screen.css?v=3',
    ];
    public $js = [
    	// > on le met dans le head
    	// 'js/html5shiv.min.js',
    	// > déjà présent 
    	//'js/jquery-1.11.2.min.js',
    
    	'bootstrap/js/bootstrap.min.js',
    	'js/vegas/jquery.vegas.js',
    	'js/vegas/jquery.vegas.js',
    	'js/bjqs/bjqs-1.3.min.js',
    	'js/jquery-ui-1.11.4.custom/jquery-ui.min.js',
    	'js/lightbox/js/lightbox.min.js',
    	'js/lechatdesnoisettes.js?v=3',
        'js/boulange.js',
    ];
    public $depends = [
        'yii\web\YiiAsset',
        'yii\bootstrap\BootstrapAsset',
    ];
}
