<?php
/* @var $this yii\web\View */

use yii\helpers\Html;

$this->title = 'Commande' ;

?>

<div id="index-commande">

<h1 class="title-systeme-commande"><img class="icon" src="<?php echo Yii::$app->urlManager->getBaseUrl(); ?>/img/order.png" alt="" /> Commandes</h1>

<div class="accueil">
    
    <!--<div id="message-fermeture">
        <div class="line1"><span>Le Chat des Noisettes</span> est actuellement <strong class="ferme">fermé</strong> pour cause de travaux.</div>
        <div class="line2">La réouverture aura lieu dès que possible ! Plus de renseignements au <strong>06 37 02 72 20</strong></div>
    </div>-->
    
    <a class="btn btn-primary btn-lg" href="<?php echo Yii::$app->urlManager->createUrl(['commande/create']); ?>">Passer une commande</a>
    
</div>

<h2>Historique</h2>
<?php if(count($commandes)): ?>
	
	<p>Retrouvez ici vos dernières commandes.</p>
	
	<?php if($commande_ok): ?>
		<div class="alert alert-success">
			<div class="icon"></div>
			Votre commande a bien été prise en compte !
			<?php if($pate_deja_petrie): ?>
				<br /><strong>Cette fournée étant déjà pétrie, la livraison se fera suivant les stocks disponibles. Merci pour votre compréhension.</strong>
			<?php endif; ?>
		</div>
	<?php endif; ?>
	
	<?php if($annule_ok): ?>
		<div class="alert alert-success"><div class="icon"></div>Votre commande a bien été annulée.</div>
	<?php endif; ?>
	
	<table id="historique-commandes" class="table table-striped table-bordered">
		<thead>
			<tr>
				<!-- <th>Date commande</th> -->
				<th>Date livraison</th>
				<th>Résumé</th>
				<th>Lieu</th>
				<th class="montant">Montant</th>
				<th class="statut"></th>
			</tr>
		</thead>
		<tbody>
		<?php foreach($commandes as $c): ?>
			<tr>
				<!-- <td><?php echo date('d/m/Y',strtotime($c->date)); ?></td> -->
				<td><?php echo date('d/m/Y',strtotime($c->production->date)); ?></td>
				<td class="resume"><?php 
					$count = count($c->commandeProduits);
					$i = 0;
					foreach($c->commandeProduits as $p): ?>
						<?php if($p->produit->vrac): ?>
							<?php echo $p->quantite;  ?>g de <?php echo Html::encode($p->produit->nom) ; ?><?php if(++$i != $count): ?>, <?php endif; ?>
						<?php else: ?>
							<?php echo $p->quantite;  ?> x <?php echo Html::encode($p->produit->nom) ; ?><?php if(++$i != $count): ?>, <?php endif; ?>		
						<?php endif; ?> 
				<?php endforeach; ?></td>
				<td><?php echo '<span class="nom-point-vente">'.Html::encode($c->pointVente->nom) .'</span><br /><span class="localite">'.Html::encode($c->pointVente->localite).'</span>' ; ?></td>
				<td class="montant"><?php echo number_format($c->montant,2) ; ?> €</td>
				<td class="statut">
					<?php 
						if(date('H') > 20) {
							$date_limite = date('Y-m-d',strtotime(date('Y-m-d')) + 60*60*24) ;
						}
						else {
							$date_limite = date('Y-m-d') ;
						}
					?>
				
					<?php if($c->production->date < date('Y-m-d') || ($c->production->date == date('Y-m-d') && date('H') > 13)): ?>Livrée
					
					<?php elseif($c->production->date <= $date_limite): ?>En cours de préparation
					<?php else: ?>
						<!-- <a href="<?php echo Yii::$app->urlManager->createUrl(['commande/update','id'=>$c->id]) ; ?>" class="btn btn-default"><span class="glyphicon glyphicon-pencil"></span> Modifier</a>-->
						<div class="btn-group">
						  <a href="<?php echo Yii::$app->urlManager->createUrl(['commande/update','id'=>$c->id]) ; ?>" class="btn btn-default"><span class="glyphicon glyphicon-pencil"></span> Modifier</a>
						  <button type="button" class="btn btn-default dropdown-toggle" data-toggle="dropdown" aria-expanded="false">
						    <span class="caret"></span>
						    <span class="sr-only">Toggle Dropdown</span>
						  </button>
						  <ul class="dropdown-menu" role="menu">
						    <li><a href="<?php echo Yii::$app->urlManager->createUrl(['commande/annuler','id'=>$c->id]) ; ?>"><span class="glyphicon glyphicon-trash"></span> Annuler la commande</a></li>
						  </ul>
						</div>
					<?php endif; ?>
				</td>
				
			</tr>
		<?php endforeach; ?>
		</tbody>
	</table> 
<?php else: ?>
	<p>Vous n'avez pas encore passé de commandes</p>
<?php endif; ?>

</div>
